com.jscape.inet.sftp

## Class Sftp.SftpPipedInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.PipedInputStream
    - - com.jscape.inet.sftp.Sftp.SftpPipedInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.lang.Runnable
  Enclosing class:
    Sftp

      public static class Sftp.SftpPipedInputStream
      extends java.io.PipedInputStream
      implements java.lang.Runnable

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `read()`
    `int` | `read(byte[] buffer, int offset, int length)`
    `void` | `run()`
    `static Sftp.SftpPipedInputStream` | `streamFor(Sftp transfer, java.lang.String remoteFile, long offset)`

    - ### Methods inherited from class java.io.PipedInputStream

      `available, close, connect`

    - ### Methods inherited from class java.io.InputStream

      `mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### streamFor

          public static Sftp.SftpPipedInputStream streamFor(Sftp transfer,
                                                            java.lang.String remoteFile,
                                                            long offset)
                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### read

          public int read()
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.PipedInputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(byte[] buffer,
                          int offset,
                          int length)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.PipedInputStream`
      Throws:
        `java.io.IOException`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved